### Method

# GdkPixbuf PixbufAnimationIter on_currently_loading_frame

deprecated: 2.44

#### Declaration [src]

    gboolean
    gdk_pixbuf_animation_iter_on_currently_loading_frame (
      GdkPixbufAnimationIter* iter
    )

#### Description [src]

Used to determine how to respond to the area_updated signal on `GdkPixbufLoader` when loading an animation.

The `::area_updated` signal is emitted for an area of the frame currently streaming in to the loader. So if you’re on the currently loading frame, you will need to redraw the screen for the updated area.

Deprecated since: 2.44

Use a different image loading library for animatable assets.

#### Return value

Type: `gboolean`

`TRUE` if the frame we’re on is partially loaded, or the last frame.